# Juma Interlink
Juma, jigsaw puzzles for representing mapping, is a method that applies the block metaphor to mapping languages.

In this implementation, we have applied the Juma method to semantic mappings.

## Using the code
This code was developed using Java 8, maven and a MySQL database.

To execute the application go into project folder using terminal, and run the command mvn jetty:run. The default port is 8080.

Database connections can be modified in src/main/resources/hibernate.cfg.xml

## License
This study is supported by CNPQ, National Counsel of Technological and Scientific Development – Brazil and the Science Foundation Ireland [ADAPT Centre](https://www.adaptcentre.ie/) for Digital Content Technology (Grant 13/RC/2106) and released under the [MIT license](http://opensource.org/licenses/MIT).

## Publications

[1] A. Crotti Junior, C. Debruyne and D. O'Sullivan. An Editor that Uses a Block Metaphor for Representing Semantic Mappings in Linked Data. In European Semantic Web Conference (ESWC 2018). Springer, Cham, 2018.